%define upstream_name Structures_DataGrid
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	0.9.3
Release:     	%mkrel 8
Summary:    	Render a data table with automatic pagination and sorting
License: 	New BSD
Group: 		Development/PHP
URL: 		http://pear.php.net/package/Structures_DataGrid
Source0: 	http://pear.php.net/get/Structures_DataGrid-%{version}.tgz
BuildRequires:	php-pear >= 1.4.7

BuildArch: noarch
%global __requires_exclude_from %{?__requires_exclude_from:%__requires_exclude_from|}^%{_docdir}|/tests/

%description
This package provides a toolkit to generate data tables in HTML, CSV,
 Excel, XML, Smarty, and other formats.  
 It retrieves data from a variety of data sources, including SQL, CSV,
 XML, PDO, DB_DataObject, DB_Table, and others.
 It can transparently page and sort the data, through optimized database
 queries, by parsing/generating GET, POST requests and REST-like urls.
 It is designed with modularity and extensibility in mind, using drivers
 for all rendering and datasource formats.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Structures_DataGrid.xml


%post
pear install --nodeps --soft --force --register-only %{xmldir}/Structures_DataGrid.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Structures_DataGrid
fi

%files
%doc docs/Structures_DataGrid/*
%{peardir}/*
%{xmldir}/Structures_DataGrid.xml


%changelog
* Mon Feb 08 2016 umeabot <umeabot> 0.9.3-8.mga6
+ Revision: 950517
- Mageia 6 Mass Rebuild

* Wed Nov 05 2014 tv <tv> 0.9.3-7.mga5
+ Revision: 795696
- exclude deps from doc files

* Wed Oct 29 2014 tv <tv> 0.9.3-6.mga5
+ Revision: 794560
- exclude deps from tests

* Wed Oct 15 2014 umeabot <umeabot> 0.9.3-5.mga5
+ Revision: 747203
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 0.9.3-4.mga5
+ Revision: 734176
- rebuild for pear deps

* Tue Sep 16 2014 umeabot <umeabot> 0.9.3-3.mga5
+ Revision: 687470
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.9.3-2.mga4
+ Revision: 528308
- Mageia 4 Mass Rebuild

* Mon Jun 17 2013 spuhler <spuhler> 0.9.3-1.mga4
+ Revision: 444170
- upgrade to version 0.9.3
- pearized spec file

* Sun Jan 13 2013 umeabot <umeabot> 0.9.1dev1-2.mga3
+ Revision: 377293
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 14 2012 spuhler <spuhler> 0.9.1dev1-1.mga2
+ Revision: 196096
- upgrade to 0.9.1dev
  pearized spec

* Sat Jan 29 2011 spuhler <spuhler> 0.8.3-6.mga1
+ Revision: 44310
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Structures_DataGrid


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.8.3-6mdv2011.0
+ Revision: 613777
- the mass rebuild of 2010.1 packages

* Tue Nov 17 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.8.3-5mdv2010.1
+ Revision: 467089
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.8.3-4mdv2010.0
+ Revision: 441577
- rebuild

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.8.3-3mdv2009.1
+ Revision: 322665
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 0.8.3-2mdv2009.0
+ Revision: 237070
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Apr 20 2007 Oden Eriksson <oeriksson@mandriva.com> 0.8.3-1mdv2008.0
+ Revision: 15998
- fix build
- 0.8.3


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.6.3-1mdv2007.0
+ Revision: 82681
- Import php-pear-Structures_DataGrid

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.6.3-1mdk
- 0.6.3
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.6.2-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.6.2-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.6.2-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.6.2-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.6.2-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 0.6.2-1mdk
- initial Mandriva package (PLD import)

